/* ==========================================================================
   Blog List - Split Columns style - begin
   ========================================================================== */

.mkdf-blog-holder {
    
    &.mkdf-blog-split-column {
        
        article {
            margin: 0 0 50px;
            padding: 0;

            .mkdf-post-content {
                @include mkdfTableLayout();
            }

            .mkdf-post-heading,
            .mkdf-post-text {
                display: table-cell;
                position: relative;
                width: 50%;
                vertical-align: top;
            }

            &.mkdf-post-no-media {
                .mkdf-post-heading {
                    display: none;
                }
                .mkdf-post-text {
                    display: inline-block;
                    width: 100%;
                    .mkdf-post-text-inner {
                        padding-left: 0;
                    }
                }
            }

            .mkdf-post-image{
                line-height: 0;
	            
                > a {
	                position: relative;
	                display: inline-block;
	                vertical-align: middle;

                    &:after {
                        content: '';
                        position: absolute;
                        top: 0;
                        left: 0;
                        height: 100%;
                        width: 100%;
                        background-color: rgba(255, 255, 255, .15);
                        opacity: 0;
                        @include mkdfTransition(opacity .4s);
                    }

                    &:hover {
	                    
                        &:after {
                            opacity: 1;
                        }
                    }
                }
            }

            .mkdf-post-title {
                margin-bottom: 10px;
            }

            .mkdf-post-text-inner {
                padding-left: 40px;
            }

            .mkdf-post-info-top {
                margin-bottom: 12px;

                > div {
                    position: relative;
                    display: inline-block;
                    padding-right: 8px;
                    margin-right: 3px;
                    font-weight: 600;
                    font-size: 14px;
                    color: #b9b9b9;

                    a {
                        color: inherit;

                        &:hover {
                            color: #606264;
                        }
                    }

                    &:last-child {
                        padding-right: 0;
                        margin-right: 0;
                    }

                    &.mkdf-post-info-category {
                        a:before {
                            content: "\e07c";
                            font-family: 'ElegantIcons';
                            display: inline-block;
                            margin-right: 6px;
                            position: relative;
                            top: 1px;
                            @include mkdfTransition(color .2s ease-out);
                        }
                        a:hover {
                            &:before {
                                color: #606264;
                            }
                        }
                    }

                    &.mkdf-blog-like {
                        .icon_heart_alt {
                            margin-right: 4px;
                        }
                    }
                }
            }

            .mkdf-post-info-bottom {
                padding-top: 14px;
                margin-top: 23px;
                border-top: 1px solid #ebebeb;

                .mkdf-post-info-bottom-left,
                .mkdf-post-info-bottom-right {
                    position: relative;
                    display: inline-block;
                    width: 50%;
                    float: left;
                    line-height: 27px;
                }

                .mkdf-post-info-bottom-left {

                    > div {
                        position: relative;
                        display: inline-block;
                        padding-right: 8px;
                        margin-right: 3px;
                        color: $default-text-color;

                        a {
                            display: inline-block;
                            color: #fff;
                            text-transform: uppercase;
                            font-weight: 600;
                            font-size: 12px;
                            padding: 0 14px;
                            line-height: 20px;
                            margin: 0 12px 5px 0;
                            background-color: $first-main-color;
                            border: 1px solid $first-main-color;
                            -webkit-transition: background-color .15s ease-out, border .15s ease-out;
                            -moz-transition: background-color .15s ease-out, border .15s ease-out;
                            transition: background-color .15s ease-out, border .15s ease-out;
                            -webkit-border-radius: 15px;
                            -moz-border-radius: 15px;
                            border-radius: 15px;

                            &:hover {
                                background-color: $first-main-color-additional;
                            }
                        }

                        &:after {
                            content: "/";
                            position: absolute;
                            top: 0;
                            right: -2px;
                        }

                        &:last-child {
                            padding-right: 0;
                            margin-right: 0;

                            &:after {
                                content: '';
                            }
                        }
                    }
                }

                .mkdf-post-info-bottom-right {

                    text-align: right;

                    > div {
                        margin-left: 17px;

                        &:first-child {
                            margin-left: 0;
                        }
                    }
                }
            }

            &.format-audio {
                .mkdf-blog-audio-holder {
                    width: 100%;
                    position: absolute;
                    left: 0;
                    bottom: 0;
                }
                &.mkdf-post-no-media.has-post-thumbnail {
                    .mkdf-post-heading {
                        display: table-cell;
                    }
                    .mkdf-post-text {
                        display: table-cell;
                        width: 50%;
                        .mkdf-post-text-inner {
                            padding-left: 20px;
                        }
                    }
                }
            }

            &.format-quote {

                .mkdf-post-text {
                    padding: 40px 42px 40px;
                    background-color: transparent;
                    overflow: hidden;
                    border: 1px solid #f2f2f2;
                    background-image: url('../../../../../assets/img/background-pattern.jpg');
                    background-position: left center;
                }

                .mkdf-post-text-main {
                    display: table;
                    table-layout: fixed;
                    height: 100%;
                    width: 100%;
                    text-align: left;
                }

                .mkdf-post-mark {
                    position: absolute;
                    top: -58px;
                    right: -11px;
                    font-size: 175px;
                    color: #b9b9b9;
                    opacity: 0.22;

                    .mkdf-quote-mark {
                        padding-top: 5px;
                    }
                }

                .mkdf-post-link-holder {
                    @include mkdfTableCellLayout();
                    vertical-align: top;
                    text-align: left;
                }

                .mkdf-post-title {
                    margin-bottom: 0;
                }

                .mkdf-quote-author {
                    color: #b9b9b9;
                    font-weight: 600;
                    font-size: 14px;
                    display: block;
                    margin-bottom: 23px;
                }

                .mkdf-post-author {
                    display: inline-block;
                    margin-bottom: 23px;
                    font-size: 13px;
                    line-height: 20px;
                }

                .mkdf-post-info-top {
                    margin-bottom: 25px;
                }
                .mkdf-post-info-bottom {
                    padding-top: 7px;
                }
            }

            &.format-link {

                .mkdf-post-text{
                    padding: 40px 42px 38px;
                    background-color: transparent;
                    overflow: hidden;
                    border: 1px solid #f2f2f2;
                    background-image: url('../../../../../assets/img/background-pattern.jpg');
                    background-position: left center;
                }

                .mkdf-post-text-main {
                    display: table;
                    table-layout: fixed;
                    height: 100%;
                    width: 100%;
                    text-align: left;
                }

                .mkdf-post-mark {
                    position: absolute;
                    top: -11px;
                    right: -11px;
                    font-size: 118px;
                    color: #b9b9b9;
                    opacity: 0.22;

                    .mkdf-link-mark {
                        padding-top: 5px;
                    }
                }

                .mkdf-post-link-holder {
                    @include mkdfTableCellLayout();
                    vertical-align: top;
                    text-align: left;
                }

                .mkdf-post-title {
                    margin-bottom: 9px;
                }

                .mkdf-post-info-top {
                    margin-bottom: 27px;
                }

                .mkdf-post-info-bottom {
                    padding-top: 7px;
                }
            }
        }
    }
}
/* ==========================================================================
   Blog List - Split Columns style - end
   ========================================================================== */